<?php
	include_once "./setup.php";
	include_once ROOT."/e-conomic.php";

	$headers = array_change_key_case(getallheaders(), CASE_LOWER);
	if ($headers['x-app-token'] != APP_TOKEN) {
		header("HTTP/1.1 403 Forbidden");
		print "403 Forbidden";
		exit;
	}

	foreach(glob(ROOT."/cache/*") as $filename) {
		if (time()-filemtime($filename) > 3600*24*14) {
			unlink($filename);
		}
	}
	
	if (($webshop_id = (int) $_GET['webshop_id']) && ($type = $_GET['type'])) {
		$json = json_decode(file_get_contents('php://input'), true);

		file_put_contents(ROOT."/cache/".$webshop_id.".output.".$type.".json", json_encode($json, J));

		$inc = ROOT."/types/".$type.".php";
		if (file_exists($inc)) {
			include $inc;
		}
	}
	else {
		header("HTTP/1.1 400 Bad Request");
		print "400 Bad Request";
		exit;
	}