<?php
	$app_json = json_decode(file_get_contents(ROOT."/data/".$webshop_id."/settings.json"), true);

	// Fordi det her event skal kun overføre hvis den ikke allerede er overført
	if (!file_exists(ROOT."/data/".$webshop_id."/orders/".$json['order_id'].".txt")) {

		// Hvis det er ved oprettelse, så overfør med det samme
		if ($app_json['fields']['transfer_when'] == 'created') {
			$e = new economic($app_json);
			$e->fire($json['order_id'], $json);
		}

		// Ellers hvis det er ved betalt, og den er betalt
		elseif ($app_json['fields']['transfer_when'] == 'paid' && $json['paid']) {
			$e = new economic($app_json);
			$e->fire($json['order_id'], $json);
		}

		// Ellers hvis det er ved sendt og den er sendt
		elseif ($app_json['fields']['transfer_when'] == 'sent' && $json['status'] == 'sent') {
			$e = new economic($app_json);
			$e->fire($json['order_id'], $json);
		}

	}